## WebKitDOMRange WebKitDOMRange |

## Functions

void | webkit_dom_range_set_start ()
void | webkit_dom_range_set_end ()
void | webkit_dom_range_set_start_before ()
void | webkit_dom_range_set_start_after ()
void | webkit_dom_range_set_end_before ()
void | webkit_dom_range_set_end_after ()
void | webkit_dom_range_collapse ()
void | webkit_dom_range_select_node ()
void | webkit_dom_range_select_node_contents ()
gshort | webkit_dom_range_compare_boundary_points ()
void | webkit_dom_range_delete_contents ()
WebKitDOMDocumentFragment * | webkit_dom_range_extract_contents ()
WebKitDOMDocumentFragment * | webkit_dom_range_clone_contents ()
void | webkit_dom_range_insert_node ()
void | webkit_dom_range_surround_contents ()
WebKitDOMRange * | webkit_dom_range_clone_range ()
gchar * | webkit_dom_range_to_string ()
void | webkit_dom_range_detach ()
WebKitDOMDocumentFragment * | webkit_dom_range_create_contextual_fragment ()
gshort | webkit_dom_range_compare_node ()
gboolean | webkit_dom_range_intersects_node ()
gshort | webkit_dom_range_compare_point ()
gboolean | webkit_dom_range_is_point_in_range ()
WebKitDOMNode * | webkit_dom_range_get_start_container ()
glong | webkit_dom_range_get_start_offset ()
WebKitDOMNode * | webkit_dom_range_get_end_container ()
glong | webkit_dom_range_get_end_offset ()
gboolean | webkit_dom_range_get_collapsed ()
WebKitDOMNode * | webkit_dom_range_get_common_ancestor_container ()
gchar * | webkit_dom_range_get_text ()
void | webkit_dom_range_expand ()

## Properties

gboolean | collapsed | Read
WebKitDOMNode * | common-ancestor-container | Read
WebKitDOMNode * | end-container | Read
glong | end-offset | Read
WebKitDOMNode * | start-container | Read
glong | start-offset | Read
gchar * | text | Read

## Types and Values

struct | WebKitDOMRange
#define | WEBKIT_DOM_RANGE_START_TO_START
#define | WEBKIT_DOM_RANGE_START_TO_END
#define | WEBKIT_DOM_RANGE_END_TO_END
#define | WEBKIT_DOM_RANGE_END_TO_START
#define | WEBKIT_DOM_RANGE_NODE_BEFORE
#define | WEBKIT_DOM_RANGE_NODE_AFTER
#define | WEBKIT_DOM_RANGE_NODE_BEFORE_AND_AFTER
#define | WEBKIT_DOM_RANGE_NODE_INSIDE

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMRange

## Description

## Functions

### webkit_dom_range_set_start ()

    void
    webkit_dom_range_set_start (WebKitDOMRange *self,
                                WebKitDOMNode *refNode,
                                glong offset,
                                GError **error);

`webkit_dom_range_set_start` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
offset | A glong |
error | GError |

### webkit_dom_range_set_end ()

    void
    webkit_dom_range_set_end (WebKitDOMRange *self,
                              WebKitDOMNode *refNode,
                              glong offset,
                              GError **error);

`webkit_dom_range_set_end` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
offset | A glong |
error | GError |

### webkit_dom_range_set_start_before ()

    void
    webkit_dom_range_set_start_before (WebKitDOMRange *self,
                                       WebKitDOMNode *refNode,
                                       GError **error);

`webkit_dom_range_set_start_before` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_set_start_after ()

    void
    webkit_dom_range_set_start_after (WebKitDOMRange *self,
                                      WebKitDOMNode *refNode,
                                      GError **error);

`webkit_dom_range_set_start_after` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_set_end_before ()

    void
    webkit_dom_range_set_end_before (WebKitDOMRange *self,
                                     WebKitDOMNode *refNode,
                                     GError **error);

`webkit_dom_range_set_end_before` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_set_end_after ()

    void
    webkit_dom_range_set_end_after (WebKitDOMRange *self,
                                    WebKitDOMNode *refNode,
                                    GError **error);

`webkit_dom_range_set_end_after` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_collapse ()

    void
    webkit_dom_range_collapse (WebKitDOMRange *self,
                               gboolean toStart,
                               GError **error);

`webkit_dom_range_collapse` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
toStart | A gboolean |
error | GError |

### webkit_dom_range_select_node ()

    void
    webkit_dom_range_select_node (WebKitDOMRange *self,
                                  WebKitDOMNode *refNode,
                                  GError **error);

`webkit_dom_range_select_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_select_node_contents ()

    void
    webkit_dom_range_select_node_contents (WebKitDOMRange *self,
                                           WebKitDOMNode *refNode,
                                           GError **error);

`webkit_dom_range_select_node_contents` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_compare_boundary_points ()

    gshort
    webkit_dom_range_compare_boundary_points
                                   (WebKitDOMRange *self,
                                    gushort how,
                                    WebKitDOMRange *sourceRange,
                                    GError **error);

`webkit_dom_range_compare_boundary_points` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
how | A gushort |
sourceRange | A WebKitDOMRange |
error | GError |

#### Returns

A gshort

### webkit_dom_range_delete_contents ()

    void
    webkit_dom_range_delete_contents (WebKitDOMRange *self,
                                      GError **error);

`webkit_dom_range_delete_contents` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

### webkit_dom_range_extract_contents ()

    WebKitDOMDocumentFragment *
    webkit_dom_range_extract_contents (WebKitDOMRange *self,
                                       GError **error);

`webkit_dom_range_extract_contents` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A WebKitDOMDocumentFragment.

[transfer none]

### webkit_dom_range_clone_contents ()

    WebKitDOMDocumentFragment *
    webkit_dom_range_clone_contents (WebKitDOMRange *self,
                                     GError **error);

`webkit_dom_range_clone_contents` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A WebKitDOMDocumentFragment.

[transfer none]

### webkit_dom_range_insert_node ()

    void
    webkit_dom_range_insert_node (WebKitDOMRange *self,
                                  WebKitDOMNode *newNode,
                                  GError **error);

`webkit_dom_range_insert_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
newNode | A WebKitDOMNode |
error | GError |

### webkit_dom_range_surround_contents ()

    void
    webkit_dom_range_surround_contents (WebKitDOMRange *self,
                                        WebKitDOMNode *newParent,
                                        GError **error);

`webkit_dom_range_surround_contents` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
newParent | A WebKitDOMNode |
error | GError |

### webkit_dom_range_clone_range ()

    WebKitDOMRange *
    webkit_dom_range_clone_range (WebKitDOMRange *self,
                                  GError **error);

`webkit_dom_range_clone_range` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A WebKitDOMRange.

[transfer full]

### webkit_dom_range_to_string ()

    gchar *
    webkit_dom_range_to_string (WebKitDOMRange *self,
                                GError **error);

`webkit_dom_range_to_string` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A gchar

### webkit_dom_range_detach ()

    void
    webkit_dom_range_detach (WebKitDOMRange *self,
                             GError **error);

`webkit_dom_range_detach` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

### webkit_dom_range_create_contextual_fragment ()

    WebKitDOMDocumentFragment *
    webkit_dom_range_create_contextual_fragment
                                   (WebKitDOMRange *self,
                                    const gchar *html,
                                    GError **error);

`webkit_dom_range_create_contextual_fragment` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
html | A gchar |
error | GError |

#### Returns

A WebKitDOMDocumentFragment.

[transfer none]

### webkit_dom_range_compare_node ()

    gshort
    webkit_dom_range_compare_node (WebKitDOMRange *self,
                                   WebKitDOMNode *refNode,
                                   GError **error);

`webkit_dom_range_compare_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

#### Returns

A gshort

### webkit_dom_range_intersects_node ()

    gboolean
    webkit_dom_range_intersects_node (WebKitDOMRange *self,
                                      WebKitDOMNode *refNode,
                                      GError **error);

`webkit_dom_range_intersects_node` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
error | GError |

#### Returns

A gboolean

### webkit_dom_range_compare_point ()

    gshort
    webkit_dom_range_compare_point (WebKitDOMRange *self,
                                    WebKitDOMNode *refNode,
                                    glong offset,
                                    GError **error);

`webkit_dom_range_compare_point` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
offset | A glong |
error | GError |

#### Returns

A gshort

### webkit_dom_range_is_point_in_range ()

    gboolean
    webkit_dom_range_is_point_in_range (WebKitDOMRange *self,
                                        WebKitDOMNode *refNode,
                                        glong offset,
                                        GError **error);

`webkit_dom_range_is_point_in_range` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
refNode | A WebKitDOMNode |
offset | A glong |
error | GError |

#### Returns

A gboolean

### webkit_dom_range_get_start_container ()

    WebKitDOMNode *
    webkit_dom_range_get_start_container (WebKitDOMRange *self,
                                          GError **error);

`webkit_dom_range_get_start_container` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_range_get_start_offset ()

    glong
    webkit_dom_range_get_start_offset (WebKitDOMRange *self,
                                       GError **error);

`webkit_dom_range_get_start_offset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A glong

### webkit_dom_range_get_end_container ()

    WebKitDOMNode *
    webkit_dom_range_get_end_container (WebKitDOMRange *self,
                                        GError **error);

`webkit_dom_range_get_end_container` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_range_get_end_offset ()

    glong
    webkit_dom_range_get_end_offset (WebKitDOMRange *self,
                                     GError **error);

`webkit_dom_range_get_end_offset` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A glong

### webkit_dom_range_get_collapsed ()

    gboolean
    webkit_dom_range_get_collapsed (WebKitDOMRange *self,
                                    GError **error);

`webkit_dom_range_get_collapsed` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A gboolean

### webkit_dom_range_get_common_ancestor_container ()

    WebKitDOMNode *
    webkit_dom_range_get_common_ancestor_container
                                   (WebKitDOMRange *self,
                                    GError **error);

`webkit_dom_range_get_common_ancestor_container` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_range_get_text ()

    gchar *
    webkit_dom_range_get_text (WebKitDOMRange *self);

`webkit_dom_range_get_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |

#### Returns

A gchar

### webkit_dom_range_expand ()

    void
    webkit_dom_range_expand (WebKitDOMRange *self,
                             const gchar *unit,
                             GError **error);

`webkit_dom_range_expand` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMRange |
unit | A gchar |
error | GError |

Since: 2.16

## Types and Values

### struct WebKitDOMRange

    struct WebKitDOMRange;

`WebKitDOMRange` is deprecated and should not be used in newly-written code.

### WEBKIT_DOM_RANGE_START_TO_START

    #define WEBKIT_DOM_RANGE_START_TO_START 0

`WEBKIT_DOM_RANGE_START_TO_START` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_START_TO_END

    #define WEBKIT_DOM_RANGE_START_TO_END 1

`WEBKIT_DOM_RANGE_START_TO_END` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_END_TO_END

    #define WEBKIT_DOM_RANGE_END_TO_END 2

`WEBKIT_DOM_RANGE_END_TO_END` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_END_TO_START

    #define WEBKIT_DOM_RANGE_END_TO_START 3

`WEBKIT_DOM_RANGE_END_TO_START` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_NODE_BEFORE

    #define WEBKIT_DOM_RANGE_NODE_BEFORE 0

`WEBKIT_DOM_RANGE_NODE_BEFORE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_NODE_AFTER

    #define WEBKIT_DOM_RANGE_NODE_AFTER 1

`WEBKIT_DOM_RANGE_NODE_AFTER` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_NODE_BEFORE_AND_AFTER

    #define WEBKIT_DOM_RANGE_NODE_BEFORE_AND_AFTER 2

`WEBKIT_DOM_RANGE_NODE_BEFORE_AND_AFTER` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_RANGE_NODE_INSIDE

    #define WEBKIT_DOM_RANGE_NODE_INSIDE 3

`WEBKIT_DOM_RANGE_NODE_INSIDE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

## Property Details

### The `“collapsed”` property

      “collapsed”                gboolean

read-only gboolean Range:collapsed.

Flags: Read

Default value: FALSE

### The `“common-ancestor-container”` property

      “common-ancestor-container” WebKitDOMNode *

read-only WebKitDOMNode* Range:common-ancestor-container.

Flags: Read

### The `“end-container”` property

      “end-container”            WebKitDOMNode *

read-only WebKitDOMNode* Range:end-container.

Flags: Read

### The `“end-offset”` property

      “end-offset”               glong

read-only glong Range:end-offset.

Flags: Read

Default value: 0

### The `“start-container”` property

      “start-container”          WebKitDOMNode *

read-only WebKitDOMNode* Range:start-container.

Flags: Read

### The `“start-offset”` property

      “start-offset”             glong

read-only glong Range:start-offset.

Flags: Read

Default value: 0

### The `“text”` property

      “text”                     gchar *

read-only gchar* Range:text.

Flags: Read

Default value: ""